[pycodestyle]
ignore = E203, W503
max-line-length = 120

[pylint.MASTER]
extension-pkg-whitelist = omni_cpp.omni

[pylint."MESSAGES CONTROL"]
disable = line-too-long,
          invalid-name,
          missing-module-docstring,
          missing-class-docstring,
          missing-function-docstring,
          too-many-arguments,
          too-many-statements,
          too-many-locals,
          wildcard-import,
          unused-argument,
          unused-wildcard-import,
          import-outside-toplevel,
          attribute-defined-outside-init,
          C0330, C0326,
          dangerous-default-value
